#include <AfxWin.h>
#include <AfxExt.h>
#include <ddraw.h>
#include <d3d.h>
#include <d3drm.h>
#include <d3drmwin.h>
#include "SpotApp.h"
#include "SpotWin.h"
#include "resource.h"


BEGIN_MESSAGE_MAP(SpotApp, RMApp)
	//{{AFX_MSG_MAP(SpotApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

SpotApp theapp;

BOOL SpotApp::InitInstance()
{
#ifdef _DEBUG
	afxTraceEnabled=FALSE;
#endif
	SpotWin* win=new SpotWin;
	if (!win->Create("Spot",IDI_ICON,IDR_MAINMENU))
		return FALSE;
	win->SetColorModel(D3DCOLOR_RGB);
	m_pMainWnd=win;
	return RMApp::InitInstance();
}
